function [] = Ref_Gauss_Tableau(s)

    % some small Gauss ODE solver Butcher tableaus
    %
    % Taken from Wikipedia, possibly with errors.


    switch(s)

        case(1)
            disp('s = 1')

            A = [0.5]
            b = [1]
            c = [0.5]

        case(2)
            disp('s = 2')

            A = [
                    1/4                     ,   1/4 - 1/6 * 3^0.5       ;
                    1/4 - 1/6 * 3^0.5       ,   1/4
                ]
            b = [
                    1/2                     ,   1/2
                ]
            c = [
                    1/2 - 1/6 * 3^0.5       ;
                    1/2 + 1/6 * 3^0.5
                ]

        case(3)
            disp('s = 3')
            
            A = [
                    5/36                    ,   2/9 - 1/15 * 15^0.5     ,   5/36 - 1/30 * 15^0.5    ;
                    5/36 + 1/24 * 15^0.5    ,   2/9                     ,   5/36 - 1/24 * 15^0.5    ;
                    5/36 + 1/30 * 15^0.5    ,   2/9 + 1/15 * 15^0.5     ,   5/36
                ]
            b = [
                    5/18                    ,   4/9                     ,   5/18                    
                ]
            c = [
                    1/2 - 1/10 * 15^0.5     ;
                    1/2                     ;
                    1/2 + 1/10 * 15^0.5     
                ]
    
    end

end